Class | YARD::Parser::Ruby::RipperParser
In: | lib/yard/parser/ruby/ruby_parser.rb
Parent: | Ripper

Internal parser class @since 0.5.6

### Methods

enumerator new parse

### Constants

MAPPINGS

=

{ :BEGIN => "BEGIN", :END => "END", :alias => "alias", :array => :lbracket, :arg_paren => :lparen, :begin => "begin", :blockarg => "&", :brace_block => :lbrace, :break => "break", :case => "case", :class => "class", :def => "def", :defined => "defined?", :defs => "def", :do_block => "do", :else => "else", :elsif => "elsif", :ensure => "ensure", :for => "for", :hash => :lbrace, :if => "if", :lambda => [:tlambda, "lambda"], :module => "module", :next => "next", :paren => :lparen, :qwords_literal => :qwords_beg, :redo => "redo", :regexp_literal => :regexp_beg, :rescue => "rescue", :rest_param => "*", :retry => "retry", :return => "return", :return0 => "return", :sclass => "class", :string_embexpr => :embexpr_beg, :string_literal => [:tstring_beg, :heredoc_beg], :super => "super", :symbol => :symbeg, :top_const_ref => "::", :undef => "undef", :unless => "unless", :until => "until", :when => "when", :while => "while", :xstring_literal => :backtick, :yield => "yield", :yield0 => "yield", :zsuper => "super"

REV_MAPPINGS | = | {}
AST_TOKENS | = | [:CHAR, :backref, :const, :cvar, :gvar, :heredoc_end, :ident, :int, :float, :ivar, :label, :period, :regexp_end, :tstring_content, :backtick]

### External Aliases

ast | -> | root

### Attributes

ast | [R] |
charno | [R] |
comments | [R] |
encoding_line | [R] |
file | [R] |
shebang_line | [R] |
tokens | [R] |

### Public Class methods

new(source, filename, *args)

### Public Instance methods

enumerator()
parse()

[Validate]